Imports System.Data
Imports System.Data.SqlClient
Imports NTierDemo.StateClasses


Public Class CustomerDALActions
    Public Shared Function Insert(ByVal c As CustomerState) As Integer
        Dim sql As String
        sql = "insert into customers(customerid,companyname,contactname,country) values(@custid,@company,@contact,@country)"
        Dim params(3) As SqlParameter
        params(0) = New SqlParameter("@custid", c.CustomerID)
        params(1) = New SqlParameter("@company", c.CompanyName)
        params(2) = New SqlParameter("@contact", c.ContactName)
        params(3) = New SqlParameter("@country", c.Country)
        Return DatabaseHelper.ExecuteNonQuery(sql, params)
    End Function

    Public Shared Function Update(ByVal c As CustomerState) As Integer
        Dim sql As String
        sql = "update customers set companyname=@company,contactname=@contact,country=@country where customerid=@custid"
        Dim params(3) As SqlParameter
        params(0) = New SqlParameter("@company", c.CompanyName)
        params(1) = New SqlParameter("@contact", c.ContactName)
        params(2) = New SqlParameter("@country", c.Country)
        params(3) = New SqlParameter("@custid", c.CustomerID)
        Return DatabaseHelper.ExecuteNonQuery(sql, params)
    End Function

    Public Shared Function Delete(ByVal custid As String) As Integer
        Dim sql As String
        sql = "delete from customers where customerid=@custid"
        Dim params(0) As SqlParameter
        params(0) = New SqlParameter("@custid", custid)
        Return DatabaseHelper.ExecuteNonQuery(sql, params)
    End Function

    Public Shared Function SelectAll() As DataSet
        Return DatabaseHelper.ExecuteDataSet("select customerid,companyname,contactname,country from customers")
    End Function

    Public Shared Function SelectSingle(ByVal custid As String) As DataSet
        Dim params(0) As SqlParameter
        params(0) = New SqlParameter("@custid", custid)
        Return DatabaseHelper.ExecuteDataSet("select customerid,companyname,contactname,country from customers where customerid=@custid", params)
    End Function

    Public Shared Function IsExists(ByVal custid As String) As Boolean
        Dim params(0) As SqlParameter
        params(0) = New SqlParameter("@custid", custid)
        Dim retval As Object = DatabaseHelper.ExecuteScalar("select count(*) from customers where customerid=@custid", params)
        If retval = 0 Then
            Return False
        Else
            Return True
        End If
    End Function
End Class

